extern int flash_erase_intel(flash_info_t *info, int s_first, int s_last);
extern int write_word_intel(flash_info_t *info, ulong dest, ulong value);

/* write word, native width */
static inline void ww(int portwidth, ulong addr, ulong data)
{
	switch(portwidth) {
	    case 1:
		/* printf("mw.b 0x%lx 0x%02lx\n", addr,data); */
		*((vu_char *)addr) = data&0xff; break;
	    case 2:
		/* printf("mw.w 0x%lx 0x%04lx\n", addr,data); */
		*((vu_short *)addr) = data&0xffff; break;
	    case 4:
		/* printf("mw.l 0x%lx 0x%08lx\n", addr,data); */
		*((vu_long *)addr) = data; break;
	}
}

/* read word, native width */
static inline ulong rw(int portwidth, ulong addr)
{
	switch(portwidth) {
	    case 1:
	        /* printf("md.b 0x%lx 1\n", addr); */
		return *((vu_char *)addr);
	    case 2:
	        /* printf("md.w 0x%lx 1\n", addr); */
		return *((vu_short *)addr);
	    case 4:
	        /* printf("md.l 0x%lx 1\n", addr); */
		return *((vu_long *)addr);
	}
	return -1;
}
